import * as $dara from '@darabonba/typescript';
export declare class AddFileProtectBindMachineRequest extends $dara.Model {
    alertUuids?: string[];
    blockUuids?: string[];
    noneUuids?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
